## WDS Get Current Settings request WDS Get Current Settings request |

## Functions

QmiMessageWdsGetCurrentSettingsInput * | qmi_message_wds_get_current_settings_input_new ()
QmiMessageWdsGetCurrentSettingsInput * | qmi_message_wds_get_current_settings_input_ref ()
void | qmi_message_wds_get_current_settings_input_unref ()
gboolean | qmi_message_wds_get_current_settings_input_get_requested_settings ()
gboolean | qmi_message_wds_get_current_settings_input_set_requested_settings ()
QmiMessageWdsGetCurrentSettingsOutput * | qmi_message_wds_get_current_settings_output_ref ()
void | qmi_message_wds_get_current_settings_output_unref ()
gboolean | qmi_message_wds_get_current_settings_output_get_result ()
gboolean | qmi_message_wds_get_current_settings_output_get_profile_name ()
gboolean | qmi_message_wds_get_current_settings_output_get_pdp_type ()
gboolean | qmi_message_wds_get_current_settings_output_get_apn_name ()
gboolean | qmi_message_wds_get_current_settings_output_get_primary_ipv4_dns_address ()
gboolean | qmi_message_wds_get_current_settings_output_get_secondary_ipv4_dns_address ()
gboolean | qmi_message_wds_get_current_settings_output_get_umts_granted_qos ()
gboolean | qmi_message_wds_get_current_settings_output_get_gprs_granted_qos ()
gboolean | qmi_message_wds_get_current_settings_output_get_username ()
gboolean | qmi_message_wds_get_current_settings_output_get_authentication ()
gboolean | qmi_message_wds_get_current_settings_output_get_ipv4_address ()
gboolean | qmi_message_wds_get_current_settings_output_get_profile_id ()
gboolean | qmi_message_wds_get_current_settings_output_get_ipv4_gateway_address ()
gboolean | qmi_message_wds_get_current_settings_output_get_ipv4_gateway_subnet_mask ()
gboolean | qmi_message_wds_get_current_settings_output_get_pcscf_address_using_pco ()
gboolean | qmi_message_wds_get_current_settings_output_get_pcscf_server_address_list ()
gboolean | qmi_message_wds_get_current_settings_output_get_pcscf_domain_name_list ()
gboolean | qmi_message_wds_get_current_settings_output_get_ipv6_address ()
gboolean | qmi_message_wds_get_current_settings_output_get_ipv6_gateway_address ()
gboolean | qmi_message_wds_get_current_settings_output_get_ipv6_primary_dns_address ()
gboolean | qmi_message_wds_get_current_settings_output_get_ipv6_secondary_dns_address ()
gboolean | qmi_message_wds_get_current_settings_output_get_mtu ()
gboolean | qmi_message_wds_get_current_settings_output_get_domain_name_list ()
gboolean | qmi_message_wds_get_current_settings_output_get_ip_family ()
gboolean | qmi_message_wds_get_current_settings_output_get_imcn_flag ()
gboolean | qmi_message_wds_get_current_settings_output_get_extended_technology_preference ()
void | qmi_client_wds_get_current_settings ()
QmiMessageWdsGetCurrentSettingsOutput * | qmi_client_wds_get_current_settings_finish ()

## Types and Values

| QmiMessageWdsGetCurrentSettingsInput
| QmiMessageWdsGetCurrentSettingsOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsGetCurrentSettingsInput
        ╰── QmiMessageWdsGetCurrentSettingsOutput

## Description

## Functions

### qmi_message_wds_get_current_settings_input_new ()

    QmiMessageWdsGetCurrentSettingsInput *
    qmi_message_wds_get_current_settings_input_new
                                   (void);

Allocates a new QmiMessageWdsGetCurrentSettingsInput.

#### Returns

the newly created QmiMessageWdsGetCurrentSettingsInput. The returned value should be freed with `qmi_message_wds_get_current_settings_input_unref()`.

Since: 1.0

### qmi_message_wds_get_current_settings_input_ref ()

    QmiMessageWdsGetCurrentSettingsInput *
    qmi_message_wds_get_current_settings_input_ref
                                   (QmiMessageWdsGetCurrentSettingsInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wds_get_current_settings_input_unref ()

    void
    qmi_message_wds_get_current_settings_input_unref
                                   (QmiMessageWdsGetCurrentSettingsInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsInput. |

Since: 1.0

### qmi_message_wds_get_current_settings_input_get_requested_settings ()

    gboolean
    qmi_message_wds_get_current_settings_input_get_requested_settings
                                   (QmiMessageWdsGetCurrentSettingsInput *self,
                                    QmiWdsGetCurrentSettingsRequestedSettings *value_requested_settings,
                                    GError **error);

Get the 'Requested Settings' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsInput. |
value_requested_settings | a placeholder for the output QmiWdsGetCurrentSettingsRequestedSettings, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_input_set_requested_settings ()

    gboolean
    qmi_message_wds_get_current_settings_input_set_requested_settings
                                   (QmiMessageWdsGetCurrentSettingsInput *self,
                                    QmiWdsGetCurrentSettingsRequestedSettings value_requested_settings,
                                    GError **error);

Set the 'Requested Settings' field in the message.

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsInput. |
value_requested_settings | a QmiWdsGetCurrentSettingsRequestedSettings. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_ref ()

    QmiMessageWdsGetCurrentSettingsOutput *
    qmi_message_wds_get_current_settings_output_ref
                                   (QmiMessageWdsGetCurrentSettingsOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wds_get_current_settings_output_unref ()

    void
    qmi_message_wds_get_current_settings_output_unref
                                   (QmiMessageWdsGetCurrentSettingsOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_result ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_result
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_profile_name ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_profile_name
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    const gchar **value_profile_name,
                                    GError **error);

Get the 'Profile Name' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_profile_name | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_pdp_type ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_pdp_type
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    QmiWdsPdpType *value_pdp_type,
                                    GError **error);

Get the 'PDP Type' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_pdp_type | a placeholder for the output QmiWdsPdpType, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_apn_name ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_apn_name
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    const gchar **value_apn_name,
                                    GError **error);

Get the 'APN Name' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_apn_name | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_primary_ipv4_dns_address ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_primary_ipv4_dns_address
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    guint32 *value_primary_ipv4_dns_address,
                                    GError **error);

Get the 'Primary IPv4 DNS Address' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_primary_ipv4_dns_address | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_secondary_ipv4_dns_address ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_secondary_ipv4_dns_address
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    guint32 *value_secondary_ipv4_dns_address,
                                    GError **error);

Get the 'Secondary IPv4 DNS Address' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_secondary_ipv4_dns_address | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_umts_granted_qos ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_umts_granted_qos
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    QmiWdsTrafficClass *value_umts_granted_qos_traffic_class,
                                    guint32 *value_umts_granted_qos_max_uplink_bitrate,
                                    guint32 *value_umts_granted_qos_max_downlink_bitrate,
                                    guint32 *value_umts_granted_qos_guaranteed_uplink_bitrate,
                                    guint32 *value_umts_granted_qos_guaranteed_downlink_bitrate,
                                    QmiWdsDeliveryOrder *value_umts_granted_qos_qos_delivery_order,
                                    guint32 *value_umts_granted_qos_maximum_sdu_size,
                                    QmiWdsSduErrorRatio *value_umts_granted_qos_sdu_error_ratio,
                                    QmiWdsSduResidualBitErrorRatio *value_umts_granted_qos_residual_bit_error_ratio,
                                    QmiWdsSduErroneousDelivery *value_umts_granted_qos_delivery_erroneous_sdu,
                                    guint32 *value_umts_granted_qos_transfer_delay,
                                    guint32 *value_umts_granted_qos_traffic_handling_priority,
                                    GError **error);

Get the 'UMTS Granted QoS' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_umts_granted_qos_traffic_class | a placeholder for the output QmiWdsTrafficClass, or `NULL` if not required. | [out]
value_umts_granted_qos_max_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_umts_granted_qos_max_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_umts_granted_qos_guaranteed_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_umts_granted_qos_guaranteed_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_umts_granted_qos_qos_delivery_order | a placeholder for the output QmiWdsDeliveryOrder, or `NULL` if not required. | [out]
value_umts_granted_qos_maximum_sdu_size | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_umts_granted_qos_sdu_error_ratio | a placeholder for the output QmiWdsSduErrorRatio, or `NULL` if not required. | [out]
value_umts_granted_qos_residual_bit_error_ratio | a placeholder for the output QmiWdsSduResidualBitErrorRatio, or `NULL` if not required. | [out]
value_umts_granted_qos_delivery_erroneous_sdu | a placeholder for the output QmiWdsSduErroneousDelivery, or `NULL` if not required. | [out]
value_umts_granted_qos_transfer_delay | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_umts_granted_qos_traffic_handling_priority | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.14

### qmi_message_wds_get_current_settings_output_get_gprs_granted_qos ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_gprs_granted_qos
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    guint32 *value_gprs_granted_qos_precedence_class,
                                    guint32 *value_gprs_granted_qos_delay_class,
                                    guint32 *value_gprs_granted_qos_reliability_class,
                                    guint32 *value_gprs_granted_qos_peak_throughput_class,
                                    guint32 *value_gprs_granted_qos_mean_throughput_class,
                                    GError **error);

Get the 'GPRS Granted QoS' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_gprs_granted_qos_precedence_class | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_gprs_granted_qos_delay_class | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_gprs_granted_qos_reliability_class | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_gprs_granted_qos_peak_throughput_class | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_gprs_granted_qos_mean_throughput_class | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_username ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_username
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    const gchar **value_username,
                                    GError **error);

Get the 'Username' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_username | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_authentication ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_authentication
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    QmiWdsAuthentication *value_authentication,
                                    GError **error);

Get the 'Authentication' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_authentication | a placeholder for the output QmiWdsAuthentication, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_ipv4_address ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_ipv4_address
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    guint32 *value_ipv4_address,
                                    GError **error);

Get the 'IPv4 Address' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_ipv4_address | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_profile_id ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_profile_id
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    QmiWdsProfileType *value_profile_id_profile_type,
                                    guint8 *value_profile_id_profile_index,
                                    GError **error);

Get the 'Profile ID' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_profile_id_profile_type | a placeholder for the output QmiWdsProfileType, or `NULL` if not required. | [out]
value_profile_id_profile_index | a placeholder for the output guint8, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_ipv4_gateway_address ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_ipv4_gateway_address
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    guint32 *value_ipv4_gateway_address,
                                    GError **error);

Get the 'IPv4 Gateway Address' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_ipv4_gateway_address | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_ipv4_gateway_subnet_mask ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_ipv4_gateway_subnet_mask
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    guint32 *value_ipv4_gateway_subnet_mask,
                                    GError **error);

Get the 'IPv4 Gateway Subnet Mask' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_ipv4_gateway_subnet_mask | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_pcscf_address_using_pco ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_pcscf_address_using_pco
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    guint8 *value_pcscf_address_using_pco,
                                    GError **error);

Get the 'PCSCF Address Using PCO' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_pcscf_address_using_pco | a placeholder for the output guint8, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_pcscf_server_address_list ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_pcscf_server_address_list
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    GArray **value_pcscf_server_address_list,
                                    GError **error);

Get the 'PCSCF Server Address List' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_pcscf_server_address_list | a placeholder for the output GArray of guint32 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type guint32][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_pcscf_domain_name_list ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_pcscf_domain_name_list
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    GArray **value_pcscf_domain_name_list,
                                    GError **error);

Get the 'PCSCF Domain Name List' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_pcscf_domain_name_list | a placeholder for the output GArray of gchar * elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type utf8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_ipv6_address ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_ipv6_address
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    GArray **value_ipv6_address_address,
                                    guint8 *value_ipv6_address_prefix_length,
                                    GError **error);

Get the 'IPv6 Address' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_ipv6_address_address | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type guint16][transfer none]
value_ipv6_address_prefix_length | a placeholder for the output guint8, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_ipv6_gateway_address ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_ipv6_gateway_address
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    GArray **value_ipv6_gateway_address_address,
                                    guint8 *value_ipv6_gateway_address_prefix_length,
                                    GError **error);

Get the 'IPv6 Gateway Address' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_ipv6_gateway_address_address | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type guint16][transfer none]
value_ipv6_gateway_address_prefix_length | a placeholder for the output guint8, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_ipv6_primary_dns_address ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_ipv6_primary_dns_address
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    GArray **value_ipv6_primary_dns_address,
                                    GError **error);

Get the 'IPv6 Primary DNS Address' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_ipv6_primary_dns_address | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type guint16][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_ipv6_secondary_dns_address ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_ipv6_secondary_dns_address
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    GArray **value_ipv6_secondary_dns_address,
                                    GError **error);

Get the 'IPv6 Secondary DNS Address' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_ipv6_secondary_dns_address | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type guint16][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_mtu ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_mtu
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    guint32 *value_mtu,
                                    GError **error);

Get the 'MTU' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_mtu | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_domain_name_list ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_domain_name_list
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    GArray **value_domain_name_list,
                                    GError **error);

Get the 'Domain Name List' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_domain_name_list | a placeholder for the output GArray of gchar * elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type utf8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_ip_family ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_ip_family
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    QmiWdsIpFamily *value_ip_family,
                                    GError **error);

Get the 'IP Family' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_ip_family | a placeholder for the output QmiWdsIpFamily, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_imcn_flag ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_imcn_flag
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    gint8 *value_imcn_flag,
                                    GError **error);

Get the 'IMCN Flag' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_imcn_flag | a placeholder for the output gint8, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_settings_output_get_extended_technology_preference ()

    gboolean
    qmi_message_wds_get_current_settings_output_get_extended_technology_preference
                                   (QmiMessageWdsGetCurrentSettingsOutput *self,
                                    QmiWdsExtendedTechnologyPreference *value_extended_technology_preference,
                                    GError **error);

Get the 'Extended Technology Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentSettingsOutput. |
value_extended_technology_preference | a placeholder for the output QmiWdsExtendedTechnologyPreference, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_client_wds_get_current_settings ()

    void
    qmi_client_wds_get_current_settings (QmiClientWds *self,
                                         QmiMessageWdsGetCurrentSettingsInput *input,
                                         guint timeout,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously sends a Get Current Settings request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_get_current_settings_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsGetCurrentSettingsInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_wds_get_current_settings_finish ()

    QmiMessageWdsGetCurrentSettingsOutput *
    qmi_client_wds_get_current_settings_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_get_current_settings()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_get_current_settings()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsGetCurrentSettingsOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_get_current_settings_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageWdsGetCurrentSettingsInput

    typedef struct _QmiMessageWdsGetCurrentSettingsInput QmiMessageWdsGetCurrentSettingsInput;

The QmiMessageWdsGetCurrentSettingsInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageWdsGetCurrentSettingsOutput

    typedef struct _QmiMessageWdsGetCurrentSettingsOutput QmiMessageWdsGetCurrentSettingsOutput;

The QmiMessageWdsGetCurrentSettingsOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0